/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Originally written by Alphex Kaanoken <kaanoken@crew.org.ru>
 *
 *  NOTE: This is frontend for some usually used functions like malloc,
 *  it's purposes to make code good-like without many check and other
 *
 *  (c) Crew IT Research Labs 2004
 *
 */

#include "utils.h"
#include "xconfig.h"
#include "xProgram.h"
#include "error.h"
#include "about.h"

#define CNF_DIR     ".xneur"
#define CNF_NAME    "xneurrc"
#define RUDICT_NAME "rudict"
#define ENDICT_NAME "endict"
#define MIN_LEN_TO_WORK 2
#define LOCK_FILE   "/tmp/xneur.pid"
void _panic(void)
{
  fprintf(stderr,"[ERR]: Critical error.Exit.\n");
  exit(-1);
}

void *_malloc(int bytes)
{
  void *ptr=NULL;
  ptr=malloc(bytes);
  if(ptr==NULL){
    fprintf(stderr,"[ERR]: Cannot allocate %d bytes\n",bytes);
    _panic();
  }
  else
    return ptr;
}

void *_calloc(int block,int bytes)
{
  void *ptr=NULL;
  ptr=calloc(block,bytes);
  if(ptr==NULL){
    fprintf(stderr,"[ERR]: Cannot allocate %d block of %d bytes\n",block,bytes);
    _panic();
  }
  else
    return ptr;
}

void xneur_exit (GtkMenuItem *menuitem,xconf *xnc)
{
	gtk_main_quit();
	exit (1);
}

void xneur_preference (GtkMenuItem *menuitem,xconf *xnc)
{
	GtkWidget *win_pref;
	GtkWidget *label_pref;
	// create a window 
  	win_pref = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	// create a label 
  	label_pref = gtk_label_new ("It\'s Preference Window");
  	gtk_container_add (GTK_CONTAINER (win_pref), label_pref);
	// show everything 
  	gtk_widget_show (label_pref);
  	gtk_widget_show (win_pref);

	//return NULL;
}

void xneur_about (GtkMenuItem *menuitem,xconf *xnc)
{
	GtkWidget *win_about;
	GtkWidget *label_about;
	// create a window 
  	win_about = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	// create a label 
  	label_about = gtk_label_new ("It\'s About Window");
  	gtk_container_add (GTK_CONTAINER (win_about), label_about);
	// show everything 
  	gtk_widget_show (label_about);
  	gtk_widget_show (win_about);

}
